import { TemplateRef, EventEmitter, ViewContainerRef, OnInit, OnDestroy } from "@angular/core";
import { TemplatePortal } from "@angular/cdk/portal";
import * as i0 from "@angular/core";
export declare class NpAccordionItemComponent implements OnInit, OnDestroy {
    private _viewContainerRef;
    private static controlCount;
    title: string | TemplateRef<any>;
    isOpen: boolean;
    height: number;
    disabled: boolean;
    iconCss: string;
    styleClass: string;
    inputId: string;
    _onExpand: EventEmitter<any>;
    _onCollapse: EventEmitter<any>;
    _explicitContent: TemplateRef<any>;
    isTitleTemplate: boolean;
    private _contentPortal;
    get content(): TemplatePortal | null;
    constructor(_viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    _getTitleId(): string;
    _getBodyId(): string;
    _expand(): void;
    _collapse(): void;
    _toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpAccordionItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpAccordionItemComponent, "np-accordion-item", never, { "title": "title"; "isOpen": "isOpen"; "height": "height"; "disabled": "disabled"; "iconCss": "iconCss"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "_onExpand": "_onExpand"; "_onCollapse": "_onCollapse"; }, ["_explicitContent"], ["*"], false, never>;
}
