import { AfterContentInit, OnDestroy, QueryList, EventEmitter } from "@angular/core";
import { NpAccordionItemComponent } from "./np-accordion-item/np-accordion-item.component";
import * as i0 from "@angular/core";
export declare class NpAccordionComponent implements AfterContentInit, OnDestroy {
    private static controlCount;
    defaultOpenIndex: number;
    allowMultipleOpen: boolean;
    styleClass: string;
    inputId: string;
    onExpand: EventEmitter<any>;
    onCollapse: EventEmitter<any>;
    items: QueryList<NpAccordionItemComponent>;
    private subscriptions;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    expandByIndex(idx: number): void;
    expandById(id: string): void;
    collapseByIndex(idx: number): void;
    collapseById(id: string): void;
    _onExpand(item: NpAccordionItemComponent): void;
    _onCollapse(item: NpAccordionItemComponent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpAccordionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpAccordionComponent, "np-accordion", never, { "defaultOpenIndex": "defaultOpenIndex"; "allowMultipleOpen": "allowMultipleOpen"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onExpand": "onExpand"; "onCollapse": "onCollapse"; }, ["items"], ["*"], false, never>;
}
