import { ElementRef, EventEmitter } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class NpCheckboxComponent implements ControlValueAccessor {
    private static controlCount;
    label: string;
    indeterminate: boolean;
    readOnly: boolean;
    autoFocus: boolean;
    tabIndex: number;
    styleClass: string;
    inputId: string;
    onChange: EventEmitter<any>;
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    inputViewChild: ElementRef;
    innerValue: boolean;
    isDisabled: boolean;
    focused: boolean;
    private onChangeCallback;
    private onTouchedCallback;
    get value(): boolean;
    set value(v: boolean);
    writeValue(v: boolean): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    focus(): void;
    _onBlur($event: any): void;
    _onFocus($event: any): void;
    _onChange(event: any): void;
    _onKeyDown(event: KeyboardEvent): void;
    _getInputId(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpCheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpCheckboxComponent, "np-checkbox", never, { "label": "label"; "indeterminate": "indeterminate"; "readOnly": "readOnly"; "autoFocus": "autoFocus"; "tabIndex": "tabIndex"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onChange": "onChange"; "onFocus": "onFocus"; "onBlur": "onBlur"; }, never, never, false, never>;
}
