import { TemplateRef } from "@angular/core";
import { DataTypes, FilterTypes, SortDirections } from "./constants";
export declare class Column {
    constructor(item: any);
    dataField: string;
    dataType: DataTypes;
    visible: boolean;
    width: number;
    caption: string;
    sortEnable: boolean;
    sortDirection: SortDirections;
    filterEnable: boolean;
    filterOperator: FilterTypes;
    filterValue: any;
    cellTemplate: TemplateRef<any>;
    rightAlignText: boolean;
    trueFilterText: string;
    falseFilterText: string;
    styleClass: string;
    onCellClick: any;
}
