import { AfterViewInit, OnChanges, SimpleChanges } from "@angular/core";
import { EventEmitter, TemplateRef, ViewContainerRef, ElementRef } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { Overlay, OverlayPositionBuilder } from "@angular/cdk/overlay";
import { NpUtilityService } from "../np-utility/np-utility.service";
import * as i0 from "@angular/core";
export declare class NpDropdownComponent implements ControlValueAccessor, AfterViewInit, OnChanges {
    overlay: Overlay;
    private viewContainerRef;
    private overlayPositionBuilder;
    private elementRef;
    private utility;
    private static controlCount;
    items: any[];
    displayKey: string;
    valueKey: string;
    itemTemplate: TemplateRef<any>;
    orderBy: string;
    orderDir: string;
    placeholder: string;
    readOnly: boolean;
    autoFocus: boolean;
    tabIndex: number;
    styleClass: string;
    inputId: string;
    onChange: EventEmitter<any>;
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    templatePortalContent: TemplateRef<any>;
    inputViewChild: ElementRef;
    selected: any;
    innerValue: any;
    isDisabled: boolean;
    focused: boolean;
    isOpen: boolean;
    private templatePortal;
    private overlayRef;
    private onChangeCallback;
    private onTouchedCallback;
    constructor(overlay: Overlay, viewContainerRef: ViewContainerRef, overlayPositionBuilder: OverlayPositionBuilder, elementRef: ElementRef, utility: NpUtilityService);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    get value(): any;
    set value(v: any);
    writeValue(v: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    focus(): void;
    _setSelectedOption(): void;
    _close(): void;
    _clear(): void;
    _selectValue(val: any): void;
    _open(): void;
    _isSelected(item: any): boolean;
    _onKeydown(event: KeyboardEvent): void;
    _trackBy(index: number): number;
    _getDisplayValue(): void;
    _onBlur($event: any): void;
    _onFocus($event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpDropdownComponent, "np-dropdown", never, { "items": "items"; "displayKey": "displayKey"; "valueKey": "valueKey"; "itemTemplate": "itemTemplate"; "orderBy": "orderBy"; "orderDir": "orderDir"; "placeholder": "placeholder"; "readOnly": "readOnly"; "autoFocus": "autoFocus"; "tabIndex": "tabIndex"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onChange": "onChange"; "onFocus": "onFocus"; "onBlur": "onBlur"; }, never, never, false, never>;
}
