import { EventEmitter, ElementRef } from "@angular/core";
import { ControlValueAccessor, UntypedFormControl, Validator } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class NpFileUploadComponent implements ControlValueAccessor, Validator {
    private static controlCount;
    multiple: boolean;
    extensions: string;
    accept: string;
    size: number;
    totalSize: number;
    maxFiles: number;
    uploadButtonLabel: string;
    showFileSize: boolean;
    readOnly: boolean;
    autoFocus: boolean;
    tabIndex: number;
    styleClass: string;
    inputId: string;
    onChange: EventEmitter<File[]>;
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    fileUploadInput: ElementRef;
    inputViewChild: ElementRef;
    innerValue: File[];
    isDisabled: boolean;
    focused: boolean;
    private onChangeCallback;
    private onTouchedCallback;
    get value(): File[];
    set value(v: File[]);
    writeValue(v: File[]): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(control: UntypedFormControl): any;
    focus(): void;
    _clear(): void;
    _onFileSelected($event: any): void;
    _formatBytes(file: File, decimals?: number): string;
    _remove(idx: number): void;
    _onBlur($event: any): void;
    _onFocus($event: any): void;
    _getLabel(): string;
    _getInputId(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpFileUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpFileUploadComponent, "np-file-upload", never, { "multiple": "multiple"; "extensions": "extensions"; "accept": "accept"; "size": "size"; "totalSize": "totalSize"; "maxFiles": "maxFiles"; "uploadButtonLabel": "uploadButtonLabel"; "showFileSize": "showFileSize"; "readOnly": "readOnly"; "autoFocus": "autoFocus"; "tabIndex": "tabIndex"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onChange": "onChange"; "onFocus": "onFocus"; "onBlur": "onBlur"; }, never, never, false, never>;
}
