import { ElementRef, OnChanges, SimpleChanges, Renderer2, OnInit } from "@angular/core";
import * as i0 from "@angular/core";
export declare class NpLoaderDirective implements OnChanges, OnInit {
    private elRef;
    private renderer;
    show: boolean;
    diameter: number;
    strokeWidth: number;
    loadingText: string;
    loaderEle: any;
    isActive: boolean;
    initialized: boolean;
    constructor(elRef: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    _showLoader(): void;
    _hideLoader(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpLoaderDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NpLoaderDirective, "[npLoader]", never, { "show": "npLoader"; "diameter": "diameter"; "strokeWidth": "strokeWidth"; "loadingText": "loadingText"; }, {}, never, never, false, never>;
}
