import { EventEmitter } from "@angular/core";
import { NpMenuItem } from "../np-menu.model";
import { Router } from "@angular/router";
import * as i0 from "@angular/core";
export declare class NpMenuItemComponent {
    private router;
    item: NpMenuItem;
    orientation: "vertical" | "horizontal";
    onClickItem: EventEmitter<any>;
    constructor(router: Router);
    _onMouseEnter($event: any, item: NpMenuItem): void;
    _onMouseLeave(item: NpMenuItem): void;
    _onClickMenuItem(item: NpMenuItem): void;
    _isActive(item: NpMenuItem): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpMenuItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpMenuItemComponent, "np-menu-item", never, { "item": "item"; "orientation": "orientation"; }, { "onClickItem": "onClickItem"; }, never, never, false, never>;
}
