import { EventEmitter, AfterContentInit, OnDestroy } from "@angular/core";
import { NpMenuItem } from "./np-menu.model";
import { Subscription } from "rxjs";
import * as i0 from "@angular/core";
export declare class NpMenubarComponent implements AfterContentInit, OnDestroy {
    private static controlCount;
    items: NpMenuItem[];
    orientation: 'horizontal' | 'vertical';
    isPanelMenu: boolean;
    styleClass: string;
    inputId: string;
    onClickMenuItem: EventEmitter<any>;
    subscription: Subscription;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    _collapseMenu(item: NpMenuItem): void;
    _onClickMenuItem(item: NpMenuItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpMenubarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpMenubarComponent, "np-menubar", never, { "items": "items"; "orientation": "orientation"; "isPanelMenu": "isPanelMenu"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onClickMenuItem": "onClickMenuItem"; }, never, never, false, never>;
}
