import { EventEmitter, ElementRef } from "@angular/core";
import { ControlValueAccessor, Validator } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class NpNumberBoxComponent implements ControlValueAccessor, Validator {
    private static controlCount;
    steps: number;
    min: number;
    max: number;
    pattern: string;
    prefixLabel: string;
    suffixLabel: string;
    showControls: boolean;
    placeholder: string;
    readOnly: boolean;
    autoFocus: boolean;
    tabIndex: number;
    styleClass: string;
    inputId: string;
    onChange: EventEmitter<any>;
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    inputViewChild: ElementRef;
    innerValue: number;
    isDisabled: boolean;
    focused: boolean;
    private timeout;
    private onChangeCallback;
    private onTouchedCallback;
    get value(): number;
    set value(v: number);
    writeValue(v: number): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(): any;
    focus(): void;
    _add(): void;
    _minus(): void;
    _onMouseDownPlus(): void;
    _onMouseUpPlus(): void;
    _onMouseDownMinus(): void;
    _onMouseUpMinus(): void;
    _clearTimeout(): void;
    _onInputChange(event: any): void;
    _onBlur($event: any): void;
    _onFocus($event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpNumberBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpNumberBoxComponent, "np-number-box", never, { "steps": "steps"; "min": "min"; "max": "max"; "pattern": "pattern"; "prefixLabel": "prefixLabel"; "suffixLabel": "suffixLabel"; "showControls": "showControls"; "placeholder": "placeholder"; "readOnly": "readOnly"; "autoFocus": "autoFocus"; "tabIndex": "tabIndex"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onChange": "onChange"; "onFocus": "onFocus"; "onBlur": "onBlur"; }, never, never, false, never>;
}
