import { EventEmitter, OnInit, OnChanges, SimpleChanges } from "@angular/core";
import * as i0 from "@angular/core";
export declare class NpPaginatorComponent implements OnInit, OnChanges {
    private static controlCount;
    pageSize: number;
    totalItems: number;
    currentPage: number;
    showPageSize: boolean;
    showTotal: boolean;
    styleClass: string;
    inputId: string;
    onPageChange: EventEmitter<any>;
    onPageSizeChange: EventEmitter<any>;
    onRefresh: EventEmitter<any>;
    totalPages: number;
    startIndex: number;
    endIndex: number;
    initialized: boolean;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    loadPage(page: number): void;
    refresh(): void;
    _onCurrentPageChange(event: any): void;
    _onItemPerPageChange(event: any): void;
    _loadPage(page: number): void;
    _applyChanges(): void;
    private _calculateTotalPages;
    private _setStartEndIndex;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpPaginatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpPaginatorComponent, "np-paginator", never, { "pageSize": "pageSize"; "totalItems": "totalItems"; "currentPage": "currentPage"; "showPageSize": "showPageSize"; "showTotal": "showTotal"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onPageChange": "onPageChange"; "onPageSizeChange": "onPageSizeChange"; "onRefresh": "onRefresh"; }, never, never, false, never>;
}
