import { TemplateRef, ViewContainerRef, EventEmitter, OnInit, OnDestroy } from "@angular/core";
import { TemplatePortal } from "@angular/cdk/portal";
import { Overlay, OverlayPositionBuilder } from "@angular/cdk/overlay";
import { NpSidepanelService } from "./np-sidepanel.service";
import { Subject } from "rxjs";
import * as i0 from "@angular/core";
export declare class NpSidepanelComponent implements OnInit, OnDestroy {
    overlay: Overlay;
    private viewContainerRef;
    private overlayPositionBuilder;
    private sidepanelService;
    private static controlCount;
    position: 'left' | 'right' | 'top' | 'bottom';
    height: number | string;
    width: number | string;
    header: string;
    closeOnClickOutside: boolean;
    backDropClass: string;
    hasBackDrop: boolean;
    styleClass: string;
    inputId: string;
    onOpen: EventEmitter<any>;
    onClose: EventEmitter<any>;
    templatePortalContent: TemplateRef<any>;
    _explicitContent: TemplateRef<any>;
    private _contentPortal;
    get content(): TemplatePortal | null;
    private templatePortal;
    private overlayRef;
    private sidepanelRef;
    constructor(overlay: Overlay, viewContainerRef: ViewContainerRef, overlayPositionBuilder: OverlayPositionBuilder, sidepanelService: NpSidepanelService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    open(data: any): Subject<any>;
    close(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpSidepanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpSidepanelComponent, "np-sidepanel", never, { "position": "position"; "height": "height"; "width": "width"; "header": "header"; "closeOnClickOutside": "closeOnClickOutside"; "backDropClass": "backDropClass"; "hasBackDrop": "hasBackDrop"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onOpen": "onOpen"; "onClose": "onClose"; }, ["_explicitContent"], ["*"], false, never>;
}
