import { EventEmitter, ElementRef } from "@angular/core";
import * as i0 from "@angular/core";
export declare class NpSliderComponent {
    private static controlCount;
    min: number;
    max: number;
    step: number;
    readOnly: boolean;
    autoFocus: boolean;
    tabIndex: number;
    styleClass: string;
    inputId: string;
    onChange: EventEmitter<any>;
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    inputViewChild: ElementRef;
    labelText: number;
    innerValue: number;
    isDisabled: boolean;
    focused: boolean;
    style: any;
    private onChangeCallback;
    private onTouchedCallback;
    get value(): number;
    set value(v: number);
    writeValue(v: number): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    focus(): void;
    _onChange($event: any): void;
    _onInput($event: any): void;
    _onKeyDown($event: any): void;
    _onBlur($event: any): void;
    _onFocus($event: any): void;
    _setLeftPosition(value: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpSliderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpSliderComponent, "np-slider", never, { "min": "min"; "max": "max"; "step": "step"; "readOnly": "readOnly"; "autoFocus": "autoFocus"; "tabIndex": "tabIndex"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onChange": "onChange"; "onFocus": "onFocus"; "onBlur": "onBlur"; }, never, never, false, never>;
}
