import { EventEmitter, ElementRef } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class NpSwitchComponent implements ControlValueAccessor {
    private static controlCount;
    trueLabelText: string;
    falseLabelText: string;
    readOnly: boolean;
    autoFocus: boolean;
    tabIndex: number;
    styleClass: string;
    inputId: string;
    onChange: EventEmitter<any>;
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    inputViewChild: ElementRef;
    innerValue: boolean;
    isDisabled: boolean;
    focused: boolean;
    private onChangeCallback;
    private onTouchedCallback;
    get value(): boolean;
    set value(v: boolean);
    writeValue(v: boolean): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    focus(): void;
    _onClickSwitch($event: any): void;
    _onBlur($event: any): void;
    _onFocus($event: any): void;
    _getInputId(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpSwitchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpSwitchComponent, "np-switch", never, { "trueLabelText": "trueLabelText"; "falseLabelText": "falseLabelText"; "readOnly": "readOnly"; "autoFocus": "autoFocus"; "tabIndex": "tabIndex"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onChange": "onChange"; "onFocus": "onFocus"; "onBlur": "onBlur"; }, never, never, false, never>;
}
