import { EventEmitter, OnChanges, SimpleChanges, TemplateRef } from "@angular/core";
import { NpTreeViewItem } from "./np-tree-view.model";
import * as i0 from "@angular/core";
export declare class NpTreeViewComponent implements OnChanges {
    private static controlCount;
    items: NpTreeViewItem[];
    itemTemplate: TemplateRef<any>;
    selectionMode: string;
    cascadeSelection: boolean;
    selection: any[];
    selectionChange: EventEmitter<any>;
    styleClass: string;
    inputId: string;
    onClick: EventEmitter<any>;
    onExpand: EventEmitter<any>;
    onCollapse: EventEmitter<any>;
    onExpandAll: EventEmitter<any>;
    onCollapseAll: EventEmitter<any>;
    onSelect: EventEmitter<any>;
    onDeselect: EventEmitter<any>;
    ngOnChanges(changes: SimpleChanges): void;
    expandAll(): void;
    collapseAll(): void;
    selectAll(): void;
    deselectAll(): void;
    _toggle(item: NpTreeViewItem): void;
    _expandAllInNode(item: NpTreeViewItem): void;
    _collapseAllInNode(item: NpTreeViewItem): void;
    _onClick(item: NpTreeViewItem): void;
    _changeSelection(checked: any, item: NpTreeViewItem): void;
    _selectNode(item: NpTreeViewItem): void;
    _selectChildNodes(item: NpTreeViewItem): void;
    _deselectNode(item: NpTreeViewItem): void;
    _deselectChildNodes(item: NpTreeViewItem): void;
    _isSelected(item: NpTreeViewItem): boolean;
    _findIndexInSelection(item: NpTreeViewItem): number;
    _isSingleSelectionMode(): boolean;
    _syncSelectionForAll(): void;
    _syncSelection(item: NpTreeViewItem): void;
    _selectAll(item: NpTreeViewItem): void;
    _trackBy(index: number): number;
    _removePartialSelectionAll(): void;
    _removePartialSelection(element: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpTreeViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpTreeViewComponent, "np-tree-view", never, { "items": "items"; "itemTemplate": "itemTemplate"; "selectionMode": "selectionMode"; "cascadeSelection": "cascadeSelection"; "selection": "selection"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "selectionChange": "selectionChange"; "onClick": "onClick"; "onExpand": "onExpand"; "onCollapse": "onCollapse"; "onExpandAll": "onExpandAll"; "onCollapseAll": "onCollapseAll"; "onSelect": "onSelect"; "onDeselect": "onDeselect"; }, never, never, false, never>;
}
