import { ElementRef, AfterViewInit, OnDestroy, TemplateRef, ViewContainerRef, Renderer2, EventEmitter } from "@angular/core";
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
export declare class NpDeferDirective implements AfterViewInit, OnDestroy {
    el: ElementRef;
    renderer: Renderer2;
    viewContainer: ViewContainerRef;
    onLoad: EventEmitter<any>;
    template: TemplateRef<any>;
    documentScrollListener: Function;
    isLoaded: boolean;
    constructor(el: ElementRef, renderer: Renderer2, viewContainer: ViewContainerRef);
    ngAfterViewInit(): void;
    shouldLoad(): boolean;
    load(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpDeferDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NpDeferDirective, "[npDefer]", never, {}, { "onLoad": "onLoad"; }, ["template"], never, false, never>;
}
export declare class NpDeferModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<NpDeferModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NpDeferModule, [typeof NpDeferDirective], [typeof i1.CommonModule], [typeof NpDeferDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NpDeferModule>;
}
