import { AfterContentInit, EventEmitter, TemplateRef } from "@angular/core";
import { NpCalendarEvent } from "./np-calendar-event.model";
import * as i0 from "@angular/core";
export declare class NpCalendarComponent implements AfterContentInit {
    private static controlCount;
    disableWeekDays: string[];
    disableDates: Date[];
    dateClass: any;
    isStartMonthWithMonday: boolean;
    eventTemplate: TemplateRef<any>;
    styleClass: string;
    resetEventsOnLoad: boolean;
    inputId: string;
    onLoadMonth: EventEmitter<any>;
    onClickDate: EventEmitter<any>;
    onClickEvent: EventEmitter<any>;
    weekDays: string[];
    monthsList: any[];
    months: any[];
    years: number[];
    currentMonthWeeks: any;
    currentMonth: number;
    currentYear: number;
    today: Date;
    events: NpCalendarEvent[];
    originalWeekDays: string[];
    constructor();
    ngAfterContentInit(): void;
    refresh(): void;
    addEvents(eve: NpCalendarEvent[]): void;
    removeEvents(eve: NpCalendarEvent[]): void;
    _calculateDays(): void;
    _getCurrentMonthData(): any[];
    _getEventsForDate(date: Date): NpCalendarEvent[];
    _daysInCurrentMonth(): number;
    _checkIsFullDateDisabled(date: Date): boolean;
    _checkIsWeekDayDisabled(index: number): boolean;
    _prevMonth(): void;
    _nextMonth(): void;
    _changeYear($event: any): void;
    _selectMonth($event: any): void;
    _loadCurrentMonth(): void;
    _compareDate(dateA: Date, dateB: Date): boolean;
    _onClickDate(date: Date): void;
    _onClickEvent($domEvent: any, event: NpCalendarEvent): void;
    _findIndexOfEvent(event: NpCalendarEvent): number;
    _onLoad(): void;
    _getDateClass(item: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpCalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpCalendarComponent, "np-calendar", never, { "disableWeekDays": "disableWeekDays"; "disableDates": "disableDates"; "dateClass": "dateClass"; "isStartMonthWithMonday": "isStartMonthWithMonday"; "eventTemplate": "eventTemplate"; "styleClass": "styleClass"; "resetEventsOnLoad": "resetEventsOnLoad"; "inputId": "inputId"; }, { "onLoadMonth": "onLoadMonth"; "onClickDate": "onClickDate"; "onClickEvent": "onClickEvent"; }, never, never, false, never>;
}
