import { OnDestroy, TemplateRef, AfterContentInit, OnChanges, SimpleChanges } from "@angular/core";
import * as i0 from "@angular/core";
export declare class NpCarouselComponent implements AfterContentInit, OnDestroy, OnChanges {
    private static controlCount;
    items: any[];
    lazyLoaded: boolean;
    autoPlay: boolean;
    autoPlayInterval: number;
    itemTemplate: TemplateRef<any>;
    visibleNum: number;
    scrollNum: number;
    currentPage: number;
    pauseOnHover: boolean;
    showNavigationArrows: boolean;
    showNavigationIndicators: boolean;
    styleClass: string;
    inputId: string;
    interval: any;
    startIdx: number;
    endIdx: number;
    isPolite: boolean;
    _onMouseEnter(): void;
    _onMouseLeave(): void;
    pause(): void;
    start(): void;
    select(page: number): void;
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    _totalPages(): number;
    getTotalPages(): number;
    _getSlidesFromPage(): void;
    _plusSlides(): void;
    _minusSlides(): void;
    _setAutoSlideChange(): void;
    _goToPage(page: number): void;
    _getEmptyArray(i: number): any;
    _isActive(idx: number): boolean;
    _getActiveItems(): any[];
    _getIdxOfItem(i: number): string;
    _trackBy(index: number): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpCarouselComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpCarouselComponent, "np-carousel", never, { "items": "items"; "lazyLoaded": "lazyLoaded"; "autoPlay": "autoPlay"; "autoPlayInterval": "autoPlayInterval"; "itemTemplate": "itemTemplate"; "visibleNum": "visibleNum"; "scrollNum": "scrollNum"; "currentPage": "currentPage"; "pauseOnHover": "pauseOnHover"; "showNavigationArrows": "showNavigationArrows"; "showNavigationIndicators": "showNavigationIndicators"; "styleClass": "styleClass"; "inputId": "inputId"; }, {}, never, never, false, never>;
}
