import { OnInit, TemplateRef } from "@angular/core";
import { NpTranslationsService } from "../np-translations/np-translations.service";
import { NpDialogRef } from "./np-dialog-ref";
import * as i0 from "@angular/core";
export declare class NpDialogContainerComponent implements OnInit {
    dialogRef: NpDialogRef;
    private translationService;
    private static controlCount;
    title: string;
    value: string;
    type: string;
    message: string | TemplateRef<any>;
    contentType: "template" | "string";
    context: any;
    styleClass: string;
    inputId: string;
    constructor(dialogRef: NpDialogRef, translationService: NpTranslationsService);
    ngOnInit(): void;
    onOk(): void;
    onCancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpDialogContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpDialogContainerComponent, "np-dialog", never, {}, {}, never, never, false, never>;
}
