import { Subject } from "rxjs";
import { OverlayRef } from "@angular/cdk/overlay";
import { TemplateRef } from "@angular/core";
import { NpDialogConfig } from "./np-dialog.config";
export declare class NpDialogRef {
    overlay: OverlayRef;
    content: string | TemplateRef<any>;
    config: NpDialogConfig;
    data: any;
    onClose: Subject<any>;
    constructor(overlay: OverlayRef, content: string | TemplateRef<any>, config: NpDialogConfig, data: any);
    close(data?: any): void;
    private _close;
}
