import { Overlay, OverlayPositionBuilder } from "@angular/cdk/overlay";
import { Injector, TemplateRef } from "@angular/core";
import { NpDialogRef } from "./np-dialog-ref";
import { NpDialogConfig } from "./np-dialog.config";
import * as i0 from "@angular/core";
export declare class NpDialogService {
    private overlay;
    private injector;
    private overlayPositionBuilder;
    constructor(overlay: Overlay, injector: Injector, overlayPositionBuilder: OverlayPositionBuilder);
    open(content: string | TemplateRef<any>, config: NpDialogConfig, data: any): NpDialogRef;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NpDialogService>;
}
