import { ElementRef, EventEmitter } from "@angular/core";
import { ControlValueAccessor, Validator } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class NpInputTextComponent implements ControlValueAccessor, Validator {
    private static controlCount;
    type: string;
    minLength: number;
    maxLength: number;
    pattern: string;
    prefixLabel: string;
    suffixLabel: string;
    mask: string;
    placeholder: string;
    readOnly: boolean;
    autoFocus: boolean;
    tabIndex: number;
    styleClass: string;
    inputId: string;
    onChange: EventEmitter<any>;
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    inputViewChild: ElementRef;
    innerValue: string;
    isDisabled: boolean;
    focused: boolean;
    private onChangeCallback;
    private onTouchedCallback;
    get value(): string;
    set value(v: string);
    writeValue(v: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(): any;
    focus(): void;
    _onInputChange(event: any): void;
    _onBlur($event: any): void;
    _onFocus($event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpInputTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpInputTextComponent, "np-input-text", never, { "type": "type"; "minLength": "minLength"; "maxLength": "maxLength"; "pattern": "pattern"; "prefixLabel": "prefixLabel"; "suffixLabel": "suffixLabel"; "mask": "mask"; "placeholder": "placeholder"; "readOnly": "readOnly"; "autoFocus": "autoFocus"; "tabIndex": "tabIndex"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onChange": "onChange"; "onFocus": "onFocus"; "onBlur": "onBlur"; }, never, never, false, never>;
}
