import { TemplateRef, EventEmitter } from "@angular/core";
import { NpPaginatorComponent } from "../np-paginator/np-paginator.component";
import { NpUtilityService } from "../np-utility/np-utility.service";
import * as i0 from "@angular/core";
export declare class NpListComponent {
    private utility;
    private static controlCount;
    header: string;
    items: any[];
    itemTemplate: TemplateRef<any>;
    selectionMode: string;
    valueKey: string;
    height: number;
    orderBy: string;
    orderDir: string;
    showTiles: boolean;
    columnSize: number;
    isServerOperations: boolean;
    pageSize: number;
    totalItems: number;
    styleClass: string;
    inputId: string;
    selection: any[];
    selectionChange: EventEmitter<any>;
    onClick: EventEmitter<any>;
    onSelect: EventEmitter<any>;
    onDeselect: EventEmitter<any>;
    onPageChange: EventEmitter<any>;
    listPaginator: NpPaginatorComponent;
    constructor(utility: NpUtilityService);
    selectAll(): void;
    deselectAll(): void;
    refresh(): void;
    loadPage(page: number): void;
    _onSelectItem(checked: any, item: any): void;
    _isSelected(item: any): boolean;
    _getSelectedIndexOfItem(item: any): any;
    _trackBy(index: number): number;
    _onClick(item: any): void;
    _onPageChange(options: any): void;
    _isSingleSelectionMode(): boolean;
    _clearSelection(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpListComponent, "np-list", never, { "header": "header"; "items": "items"; "itemTemplate": "itemTemplate"; "selectionMode": "selectionMode"; "valueKey": "valueKey"; "height": "height"; "orderBy": "orderBy"; "orderDir": "orderDir"; "showTiles": "showTiles"; "columnSize": "columnSize"; "isServerOperations": "isServerOperations"; "pageSize": "pageSize"; "totalItems": "totalItems"; "styleClass": "styleClass"; "inputId": "inputId"; "selection": "selection"; }, { "selectionChange": "selectionChange"; "onClick": "onClick"; "onSelect": "onSelect"; "onDeselect": "onDeselect"; "onPageChange": "onPageChange"; }, never, never, false, never>;
}
