import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from "@angular/core";
import { Overlay, OverlayPositionBuilder } from "@angular/cdk/overlay";
import { NpMenuItem } from "./np-menu.model";
import { Subscription } from "rxjs";
import * as i0 from "@angular/core";
export declare class NpPopupMenubarDirective implements AfterViewInit, OnDestroy {
    private overlay;
    private overlayPositionBuilder;
    private elementRef;
    private static controlCount;
    items: NpMenuItem[];
    styleClass: string;
    inputId: string;
    onClickMenuItem: EventEmitter<any>;
    subscription: Subscription;
    private overlayRef;
    constructor(overlay: Overlay, overlayPositionBuilder: OverlayPositionBuilder, elementRef: ElementRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    show(): void;
    _close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpPopupMenubarDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NpPopupMenubarDirective, "[npPopupMenubar]", never, { "items": "items"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onClickMenuItem": "onClickMenuItem"; }, never, never, false, never>;
}
