import { Subject } from "rxjs";
import { OverlayRef } from "@angular/cdk/overlay";
import { TemplateRef, Type } from "@angular/core";
import { NpModalConfig } from "./np-modal.config";
export declare class NpModalRef {
    overlay: OverlayRef;
    content: string | TemplateRef<any> | Type<any>;
    config: NpModalConfig;
    data: any;
    onClose: Subject<any>;
    constructor(overlay: OverlayRef, content: string | TemplateRef<any> | Type<any>, config: NpModalConfig, data: any);
    close(result?: any): void;
    private _close;
}
