import { Overlay, OverlayPositionBuilder } from "@angular/cdk/overlay";
import { Injector, TemplateRef, Type } from "@angular/core";
import { NpModalRef } from "./np-modal-ref";
import { NpModalConfig } from "./np-modal.config";
import * as i0 from "@angular/core";
export declare class NpModalService {
    private overlay;
    private injector;
    private overlayPositionBuilder;
    constructor(overlay: Overlay, injector: Injector, overlayPositionBuilder: OverlayPositionBuilder);
    open(content: string | TemplateRef<any> | Type<any>, config: NpModalConfig, data: any): NpModalRef;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NpModalService>;
}
