import { TemplateRef, EventEmitter, ElementRef, ViewContainerRef, OnInit, OnDestroy } from "@angular/core";
import { TemplatePortal } from "@angular/cdk/portal";
import * as i0 from "@angular/core";
export declare class NpPanelComponent implements OnInit, OnDestroy {
    private _viewContainerRef;
    private el;
    private static controlCount;
    title: string | TemplateRef<any>;
    allowToMinimize: boolean;
    allowToZoom: boolean;
    allowToClose: boolean;
    isOpen: boolean;
    height: number;
    disabled: boolean;
    iconCss: string;
    styleClass: string;
    inputId: string;
    onExpand: EventEmitter<any>;
    onCollapse: EventEmitter<any>;
    onClose: EventEmitter<any>;
    onZoom: EventEmitter<any>;
    isTitleTemplate: boolean;
    isZoom: boolean;
    _explicitContent: TemplateRef<any>;
    private _contentPortal;
    get content(): TemplatePortal | null;
    constructor(_viewContainerRef: ViewContainerRef, el: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    _toggle(): void;
    _toggleZoom(): void;
    _close(): void;
    _getTitleId(): string;
    _getBodyId(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpPanelComponent, "np-panel", never, { "title": "title"; "allowToMinimize": "allowToMinimize"; "allowToZoom": "allowToZoom"; "allowToClose": "allowToClose"; "isOpen": "isOpen"; "height": "height"; "disabled": "disabled"; "iconCss": "iconCss"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onExpand": "onExpand"; "onCollapse": "onCollapse"; "onClose": "onClose"; "onZoom": "onZoom"; }, ["_explicitContent"], ["*"], false, never>;
}
