import { AfterViewInit, ElementRef, TemplateRef, OnDestroy, EventEmitter } from "@angular/core";
import { Overlay, OverlayPositionBuilder } from "@angular/cdk/overlay";
import { NpUtilityService } from "../np-utility/np-utility.service";
import * as i0 from "@angular/core";
export declare class NpPopoverDirective implements AfterViewInit, OnDestroy {
    private overlay;
    private overlayPositionBuilder;
    private elementRef;
    private utility;
    placement: string;
    header: string | TemplateRef<any>;
    body: string | TemplateRef<any>;
    context: any;
    openOnClick: boolean;
    width: number;
    closeOnClickOutside: boolean;
    backDropClass: string;
    hasBackDrop: boolean;
    styleClass: string;
    onOpen: EventEmitter<any>;
    onClose: EventEmitter<any>;
    private overlayRef;
    constructor(overlay: Overlay, overlayPositionBuilder: OverlayPositionBuilder, elementRef: ElementRef, utility: NpUtilityService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    open(): void;
    close(): void;
    _showOnMouseEnter(): void;
    _openOnClick(): void;
    _open(): void;
    _hideOnMouseLeave(): void;
    _close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpPopoverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NpPopoverDirective, "[npPopover]", ["NpPopoverDirective"], { "placement": "placement"; "header": "header"; "body": "body"; "context": "context"; "openOnClick": "openOnClick"; "width": "width"; "closeOnClickOutside": "closeOnClickOutside"; "backDropClass": "backDropClass"; "hasBackDrop": "hasBackDrop"; "styleClass": "styleClass"; }, { "onOpen": "onOpen"; "onClose": "onClose"; }, never, never, false, never>;
}
