import { ElementRef, EventEmitter, QueryList } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { NpRadioButtonComponent } from "./np-radio-button.component";
import * as i0 from "@angular/core";
export declare class NpRadioGroupComponent implements ControlValueAccessor {
    private el;
    private static controlCount;
    name: string;
    orientation: 'horizontal' | 'vertical';
    readOnly: boolean;
    tabIndex: number;
    styleClass: string;
    inputId: string;
    set autoFocus(value: boolean);
    onChange: EventEmitter<any>;
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    radioButtons: QueryList<NpRadioButtonComponent>;
    innerValue: any;
    isDisabled: boolean;
    private onChangeCallback;
    private onTouchedCallback;
    constructor(el: ElementRef);
    get value(): any;
    set value(v: any);
    writeValue(v: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    focus(): void;
    _onKeyDown(event: KeyboardEvent): void;
    _onChange(item: NpRadioButtonComponent): void;
    _isSelected(item: NpRadioButtonComponent): boolean;
    _getTabIndex(item: NpRadioButtonComponent, i: number): number;
    _onBlur($event: any, item: NpRadioButtonComponent): void;
    _onFocus($event: any, item: NpRadioButtonComponent): void;
    _getInputId(id: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpRadioGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpRadioGroupComponent, "np-radio-group", never, { "name": "name"; "orientation": "orientation"; "readOnly": "readOnly"; "tabIndex": "tabIndex"; "styleClass": "styleClass"; "inputId": "inputId"; "autoFocus": "autoFocus"; }, { "onChange": "onChange"; "onFocus": "onFocus"; "onBlur": "onBlur"; }, ["radioButtons"], never, false, never>;
}
