import { QueryList, AfterContentInit } from "@angular/core";
import { EventEmitter } from "@angular/core";
import { NpTabComponent } from "./np-tab.component";
import * as i0 from "@angular/core";
export declare class NpTabsComponent implements AfterContentInit {
    private static controlCount;
    verticalTabs: boolean;
    height: number;
    stretchLabels: boolean;
    styleClass: string;
    inputId: string;
    onTabChange: EventEmitter<any>;
    tabs: QueryList<NpTabComponent>;
    selected: NpTabComponent;
    ngAfterContentInit(): void;
    selectTabById(id: string): void;
    selectTabByIndex(idx: number): void;
    getSelectedTabIndex(): any;
    getSelectedTab(): any;
    _getTitleId(tab: NpTabComponent): string;
    _getBodyId(tab: NpTabComponent): string;
    _selectTab(tab: NpTabComponent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpTabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpTabsComponent, "np-tabs", never, { "verticalTabs": "verticalTabs"; "height": "height"; "stretchLabels": "stretchLabels"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onTabChange": "onTabChange"; }, ["tabs"], never, false, never>;
}
