import { ElementRef, EventEmitter } from "@angular/core";
import { ControlValueAccessor, Validator } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class NpTextareaComponent implements ControlValueAccessor, Validator {
    private static controlCount;
    rows: number;
    cols: number;
    resize: boolean;
    minLength: number;
    maxLength: number;
    placeholder: string;
    readOnly: boolean;
    autoFocus: boolean;
    tabIndex: number;
    styleClass: string;
    inputId: string;
    onChange: EventEmitter<any>;
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    inputViewChild: ElementRef;
    innerValue: string;
    isDisabled: boolean;
    focused: boolean;
    private onChangeCallback;
    private onTouchedCallback;
    get value(): string;
    set value(v: string);
    writeValue(v: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(): any;
    focus(): void;
    _onInputChange(event: any): void;
    _onBlur($event: any): void;
    _onFocus($event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpTextareaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpTextareaComponent, "np-textarea", never, { "rows": "rows"; "cols": "cols"; "resize": "resize"; "minLength": "minLength"; "maxLength": "maxLength"; "placeholder": "placeholder"; "readOnly": "readOnly"; "autoFocus": "autoFocus"; "tabIndex": "tabIndex"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "onChange": "onChange"; "onFocus": "onFocus"; "onBlur": "onBlur"; }, never, never, false, never>;
}
