import { AfterViewInit, ElementRef, TemplateRef, OnDestroy } from "@angular/core";
import { Overlay, OverlayPositionBuilder } from "@angular/cdk/overlay";
import { NpUtilityService } from "../np-utility/np-utility.service";
import * as i0 from "@angular/core";
export declare class NpTooltipDirective implements AfterViewInit, OnDestroy {
    private overlay;
    private overlayPositionBuilder;
    private elementRef;
    private utility;
    text: string | TemplateRef<any>;
    placement: string;
    context: any;
    width: number;
    styleClass: string;
    tooltipOnFocus: boolean;
    private overlayRef;
    mouseEnterListener: () => void;
    mouseLeaveListener: () => void;
    focusListener: () => void;
    blurListener: () => void;
    constructor(overlay: Overlay, overlayPositionBuilder: OverlayPositionBuilder, elementRef: ElementRef, utility: NpUtilityService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    _show(): void;
    _hide(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpTooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NpTooltipDirective, "[npTooltip]", never, { "text": "npTooltip"; "placement": "placement"; "context": "context"; "width": "width"; "styleClass": "styleClass"; "tooltipOnFocus": "tooltipOnFocus"; }, {}, never, never, false, never>;
}
