import { ChangeDetectorRef, OnDestroy, PipeTransform } from "@angular/core";
import { Subscription } from "rxjs";
import { NpTranslationsService } from "./np-translations.service";
import * as i0 from "@angular/core";
export declare class NpTranslatePipe implements PipeTransform, OnDestroy {
    private translationService;
    private _ref;
    subscription: Subscription;
    value: string;
    constructor(translationService: NpTranslationsService, _ref: ChangeDetectorRef);
    transform(key: string): any;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpTranslatePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<NpTranslatePipe, "npTranslate", false>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NpTranslatePipe>;
}
