import { EventEmitter, TemplateRef } from "@angular/core";
import { CdkVirtualScrollViewport } from "@angular/cdk/scrolling";
import * as i0 from "@angular/core";
export declare class NpVirtualScrollComponent {
    private static controlCount;
    header: string;
    items: any[];
    pageSize: number;
    itemHeight: number;
    template: TemplateRef<any>;
    styleClass: string;
    inputId: string;
    loadData: EventEmitter<any>;
    viewPort: CdkVirtualScrollViewport;
    loadedPages: number[];
    scrollToIndex(idx: number): void;
    scrollToOffset(offset: number): void;
    _onScrollIndexChange(index: number): void;
    _loadPage(page: number): void;
    private _createPageRange;
    static ɵfac: i0.ɵɵFactoryDeclaration<NpVirtualScrollComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NpVirtualScrollComponent, "np-virtual-scroll", never, { "header": "header"; "items": "items"; "pageSize": "pageSize"; "itemHeight": "itemHeight"; "template": "template"; "styleClass": "styleClass"; "inputId": "inputId"; }, { "loadData": "loadData"; }, never, never, false, never>;
}
